package org.eml.MMAX2.core;

import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.Properties;

public class Config {

	
	
	private static Config instance;
	private Properties p;
	
	public static Config getInstance() throws FileNotFoundException, IOException {
		if (instance == null) {
			instance = new Config();
		}
		return instance;
	}
	
	private Config() throws FileNotFoundException, IOException {
		this.p = new Properties();
		this.p.load(new FileReader("./conf/config.txt"));
	}
	
	public String getWnDir() {
		return p.getProperty("wordnetPath");
	}
}
